PKCS11-LIST(8)

NAME
pkcs11-list - list PKCS#11 objects

pkcs11-list [-P] [-m module] [-s slot] [-i ID ] [-l label] [-p PIN]

DESCRIPTION

pkcs11-list lists the PKCS#11 objects with ID or label or, by default, all objects. The object class, label, and ID are displayed for all keys. For private or secret keys, the extractability attribute is also displayed, as either true, false, or never.

OPTIONS

-P  This option lists only the public objects. (Note that on some PKCS#11 devices, all objects are private.)

-m module
    This option specifies the PKCS#11 provider module. This must be the full path to a shared library object implementing the PKCS#11 API for the device.

-s slot
    This option opens the session with the given PKCS#11 slot. The default is slot 0.

-i ID
    This option lists only key objects with the given object ID.

-l label
    This option lists only key objects with the given label.

-p PIN
    This option specifies the PIN for the device. If no PIN is provided on the command line, pkcs11-list prompts for it.

SEE ALSO

pkcs11-destroy(8), pkcs11-keygen(8), pkcs11-tokens(8)

AUTHOR
Internet Systems Consortium

COPYRIGHT
2021, Internet Systems Consortium